Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputCredentials

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputCredentials

Direct Known Subclasses:
  `TdApi.InputCredentialsApplePay`, `TdApi.InputCredentialsGooglePay`, `TdApi.InputCredentialsNew`, `TdApi.InputCredentialsSaved`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.InputCredentials extends TdApi.Object permits TdApi.InputCredentialsSaved, TdApi.InputCredentialsNew, TdApi.InputCredentialsApplePay, TdApi.InputCredentialsGooglePay
This class is an abstract base class. Contains information about the payment method chosen by the user.

## Constructor Summary

Constructors
Constructor
Description
`InputCredentials()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InputCredentials

public InputCredentials()
Default class constructor.